<?php

namespace App\Listeners;

use App\Events\SentPost;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Mail;

class PostNotification
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  SentPost  $event
     * @return void
     */
    public function handle(SentPost $event)
    {
        //dd($event->message);
        $data = array('name' => $event->user->name,
            'email' => $event->user->email,
            'body' => 'Thank you for login'
        );

        Mail::send('email-to-send', $data, function($message) use ($data){
            $message->to($data['email'])->subject('Thank you letter');
            $message->from('noreply@artisanweb.net');
        });
    }
}
